import { Game } from "@mancala/core";
import { BackendGame } from "../../models/Game";

export interface GameStore {
    get(id: string): BackendGame | undefined;
    set(id: string, game: BackendGame): void;
    remove(id: string): void;

    setGameIdByUser(userId: string, gameId: string): void;
    getGameIdByUser(userId: string): string | undefined;
    removeGameIdByPlayer(userId: string): void;

    setGameByUser(userId: string, game: BackendGame): void;
    getGameByUser(userId: string): BackendGame | undefined;
    removeGameByPlayer(userId: string): void;

    getSpeactatingGameIdsByUser(userId: string): string[]
}